
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class DemoAppletTabs extends JApplet implements ActionListener
{
    JTextField data;
    JButton click;
    JTextArea output;
    JButton convert;

    public void init()
    {
       data = new JTextField( 10 );
       click = new JButton( "Display" );
       output = new JTextArea( 5, 20 );
       convert = new JButton( "Convert" );

       Container c = this.getContentPane();
       c.setLayout( new BorderLayout() );
	   
	   JPanel one = new JPanel();
	   one.setLayout( new FlowLayout() );
       one.add( new JLabel( "Type data in Text Field" ) );
       one.add( data );
       one.add( click );
       one.add( convert );

	   JPanel two = new JPanel();
	   two.setLayout( new FlowLayout() );
	   two.add( output );

	   JTabbedPane tabpane = new JTabbedPane();
	   tabpane.addTab( "Input", one );
	   tabpane.addTab( "Output", two );
	   c.add( tabpane, "Center" );
       
       click.addActionListener( this );
       convert.addActionListener( this );
    }

    public void actionPerformed( ActionEvent ae )
    {
       if ( ae.getSource() == click )
       {
          String s = data.getText();
          output.setText( s + "\n" + s );
       }
       else if ( ae.getSource() == convert )
       {
          String s = data.getText();
          int dollars = Integer.parseInt(s);
          int pesos = dollars*56;
          output.setText( "Peso Conversion:" + pesos );
       }
    }
}
