
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class DemoFrame extends JFrame implements ActionListener
{
    JTextField data;
    JButton click;
    JTextArea output;
    JButton convert;

    public DemoFrame()
    {
       data = new JTextField( 10 );
       click = new JButton( "Display" );
       output = new JTextArea( 5, 20 );
       convert = new JButton( "Convert" );
       
       Container c = this.getContentPane();
       c.setLayout( new FlowLayout() );
       c.add( new JLabel( "Type data in Text Field" ) );
       c.add( data );
       c.add( click );
       c.add( convert );
       c.add( new JLabel( "Results" ) );
       c.add( output );

       click.addActionListener( this );
       convert.addActionListener( this );
    }

    public void actionPerformed( ActionEvent ae )
    {
       if ( ae.getSource() == click )
       {
          String s = data.getText();
          output.setText( s + "\n" + s );
       }
       else if ( ae.getSource() == convert )
       {
          String s = data.getText();
          int dollars = Integer.parseInt(s);
          int pesos = dollars*56;
          output.setText( "Peso Conversion:" + pesos );
       }
    }
}
